> ## Documentation Index
> Fetch the complete documentation index at: https://docs.remapdb.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Engine Details

> Show engine metadata along with its performance and tuning information.



## OpenAPI

````yaml /openapi.json get /engines/{engine_id}
openapi: 3.0.0
info:
  title: Remapdb REST API Documentation
  description: >
    Vehicle Tuning Database API - For Tuning services and Tuners.


    Access comprehensive vehicle details, including types, manufacturers,
    models, engines, ECU and TCU info, tuning tools, dyno charts, and available
    tuning or remap stages with their performance gains.
  termsOfService: https://remapdb.com/terms
  contact:
    name: Remapdb.com
    url: https://remapdb.com
  version: '1.0'
  x-logo:
    url: https://cdn.remapdb.com/logos/remapdb-logo-default-full-light.svg
    altText: Remapdb REST API Documentation
servers:
  - url: https://api.remapdb.com/v1
security:
  - bearerAuth: []
tags:
  - name: Response and Errors
    description: >
      - API will always respond with json, content type: **application/json**.

      - Successfull response will return HTTP **2XX** ***(Success)*** response
      code.

      - Error response will return either HTTP **4XX** ***(Client Error)*** or
      HTTP **5XX** ***(Server Error)***.


      On error, API will return error object. It will contain the appropriate
      error **code** *(integer)* and a **message** *(string)*.

      The HTTP response code will be the same as the error code.


      Error Schema:

      ```json json_schema

      {
        "type": "object",
        "properties": {
          "code": {
            "type": "integer"
          },
          "message": {
            "type": "string"
          }
        }
      }

      ```


      Error Example:

      ```json http

      {
        "code": 404,
        "message": "Method doesnt exist."
      }

      ```
    x-traitTag: true
  - name: Language
    description: >
      All API methods accept custom language. It can be set via the
      **"Accept-Language"** header. Content of the header should be the code of
      the language you are requesting.


      #### Available languages:

      Code | Name

      ---------|----------
       `bg` | Bulgarian
       `da` | Danish
       `de` | German
       `en` | English **(default)**
       `es` | Spanish
       `et` | Estonian
       `fi` | Finnish
       `fr` | French
       `hr` | Croatian
       `hu` | Hungarian
       `it` | Italian
       `lt` | Lithuanian
       `lv` | Latvian
       `nb` | Norwegian Bokmål
       `nl` | Dutch
       `nn` | Norwegian Nynorsk
       `pt` | Portuguese
       `ru` | Russian
       `sv` | Swedish
       `tr` | Turkish
       `zs` | Chinese

      If no "accept-language" header is set, the API will use the default
      language - English.


      Following example shows how to set the language to Dutch (`nl`) using
      curl:

      ```json http

      curl 'https://api.remapdb.com/v1/search?query=audi' \

      --header 'Accept-Language: nl'

      ```
    x-traitTag: true
  - name: Rate Limits
    description: >
      To ensure optimal service performance and prevent abuse, this API enforces
      rate limiting.
        - Rate limits apply to all API methods.
        - Limits are tied to each API key and subscription plan and reset every minute.
        - If the rate limit is exceeded, the API will return error code **401** with the message: **“This API key has reached the time limit for this method”**.
    x-traitTag: true
  - name: Client SDKs
    description: >
      Remapdb offers OpenAPI v3 specification which can be used with any
      OpenAPI/Swagger client generator to generate your own client SDK.

      Download OpenAPI specification:
      [https://docs.remapdb.com/openapi.json](https://docs.remapdb.com/openapi.json).



      Following SDK's are automatically generated:

      Language | Link

      ----------|----------

      PHP |
      [https://github.com/remapdb-api/remapdb-php-sdk](https://github.com/remapdb-api/remapdb-php-sdk)

      JavaScript |
      [https://github.com/remapdb-api/remapdb-js-sdk](https://github.com/remapdb-api/remapdb-js-sdk)
    x-traitTag: true
  - name: Subscription
    description: >
      Most of the API methods require an active API subscription. The following
      method allows you to obtain information about your current API
      subscription.


      More info about Remapdb's API subscription can be found here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)
    x-displayName: API Subscription
  - name: Types
    description: >
      Obtain information about the vehicle types. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**
    x-displayName: Vehicle Types
  - name: Manufacturers
    description: >
      Obtain information about vehicle manufacturers. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**
  - name: Models
    description: >
      Obtain information about vehicle models. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**
  - name: Generations
    description: >
      Obtain information about model generations. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**      
  - name: Engines
    description: >
      Obtain information about vehicle engines. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**     
  - name: Search
    description: >
      Searches through manufacturers, models, generations and engines. 


      **Active API subscription required. Get it here:
      [https://app.remapdb.com/api](https://app.remapdb.com/api)**
paths:
  /engines/{engine_id}:
    get:
      tags:
        - Engines
      summary: Engine Details
      description: Show engine metadata along with its performance and tuning information.
      operationId: get_engine
      parameters:
        - name: engine_id
          in: path
          description: Engine ID.
          required: true
          style: simple
          explode: false
          schema:
            type: integer
            minimum: 1
            maximum: 2147483647
            format: int32
          example: 123
        - $ref: '#/components/parameters/language'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/engine_w_tuning'
              examples:
                Successful response:
                  value:
                    id: 1234
                    name: 1.8i 125hp 170Nm
                    slug: 1-8i-125hp-170nm
                    engine_code: XYZ
                    year: 2018
                    capacity: 1800
                    cylinders: 4
                    engine_type: Petrol
                    fuel: Petrol
                    ecus:
                      - name: EDC17CP54
                        manufacturer: Bosch
                    tcus:
                      - name: 8HP
                        manufacturer: ZF
                    performance:
                      power: 150
                      torque: 270
                      dyno_values:
                        rpm:
                          - 1000
                          - 2000
                          - 3000
                          - 4000
                          - 5000
                          - 6000
                          - 7000
                          - 8000
                          - 9000
                        hp:
                          - 0
                          - 169
                          - 299
                          - 386
                          - 463
                          - 482
                          - 386
                          - 0
                          - 0
                        nm:
                          - 0
                          - 589
                          - 602
                          - 589
                          - 577
                          - 509
                          - 372
                          - 0
                          - 0
                    tuning:
                      options:
                        - name: EGR
                          description: Removal of EGR
                        - name: Decat
                          description: Catalyst Removal
                      read_tools:
                        - name: KESS3
                          manufacturer: Alientech
                        - name: Trasdata
                          manufacturer: Dimsport
                      work_methods:
                        - name: OBD
                        - name: Bench
                      stages:
                        - stage_number: 1
                          performance:
                            power: 482
                            torque: 620
                            top_speed: 225
                            zero_to_hundred: 5.8
                            dyno_values:
                              rpm:
                                - 1000
                                - 2000
                                - 3000
                                - 4000
                                - 5000
                                - 6000
                                - 7000
                                - 8000
                                - 9000
                              hp:
                                - 0
                                - 169
                                - 299
                                - 386
                                - 463
                                - 482
                                - 386
                                - 0
                                - 0
                              nm:
                                - 0
                                - 589
                                - 602
                                - 589
                                - 577
                                - 509
                                - 372
                                - 0
                                - 0
                        - stage_number: 2
                          performance:
                            power: 492
                            torque: 650
                            top_speed: 235
                            zero_to_hundred: 5.6
                            dyno_values:
                              rpm:
                                - 1000
                                - 2000
                                - 3000
                                - 4000
                                - 5000
                                - 6000
                                - 7000
                                - 8000
                                - 9000
                              hp:
                                - 0
                                - 169
                                - 299
                                - 386
                                - 463
                                - 482
                                - 386
                                - 0
                                - 0
                              nm:
                                - 0
                                - 589
                                - 602
                                - 589
                                - 577
                                - 509
                                - 372
                                - 0
                                - 0
                          modifications_required: Aftermarket intercooler and exhaust required.
        '400':
          $ref: '#/components/responses/error_400'
        '401':
          $ref: '#/components/responses/error_401'
        '403':
          $ref: '#/components/responses/error_403'
        '404':
          $ref: '#/components/responses/error_404'
        '406':
          $ref: '#/components/responses/error_406'
        '429':
          $ref: '#/components/responses/error_429'
        '500':
          $ref: '#/components/responses/error_500'
        default:
          $ref: '#/components/responses/error_default'
      security:
        - bearerAuth: []
components:
  parameters:
    language:
      name: Accept-Language
      in: header
      description: >
        Method accept custom language. Content of the header should be the code
        of the language you are requesting. E.g.: `en`.
      required: false
      style: simple
      explode: false
      schema:
        type: string
        example: en
        enum:
          - bg
          - da
          - de
          - en
          - es
          - et
          - fi
          - fr
          - hr
          - it
          - lt
          - lv
          - nb
          - nl
          - nn
          - pt
          - ru
          - sv
          - tr
          - zs
      example: en
  schemas:
    engine_w_tuning:
      additionalProperties: false
      description: Engine object
      properties:
        capacity:
          description: Engine capacity in cubic cm.
          example: 1800
          nullable: true
          type: integer
        cylinders:
          description: Number of cylinders.
          example: 4
          nullable: true
          type: integer
        ecus:
          description: List of ECU's used in this engine.
          items:
            $ref: '#/components/schemas/engine_ecu'
          maxItems: 1000
          type: array
        engine_code:
          description: Engine code.
          example: XYZ
          maxLength: 2048
          nullable: true
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        engine_type:
          description: Engine type.
          example: Petrol
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        fuel:
          description: Name of the fuel.
          example: Petrol
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        id:
          description: Engine ID.
          example: 1234
          type: integer
        name:
          description: Engine name.
          example: 1.8i 125hp 170Nm
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        performance:
          $ref: '#/components/schemas/engine_performance'
        slug:
          description: URL-friendly name (slug).
          example: 1-8i-125hp-170nm
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        tcus:
          description: List of TCU's used in this engine.
          items:
            $ref: '#/components/schemas/engine_tcu'
          maxItems: 1000
          type: array
        tuning:
          $ref: '#/components/schemas/engine_tuning'
        year:
          description: Year of manufacture.
          example: 2018
          nullable: true
          type: integer
      title: Engine
      type: object
      x-examples:
        Example 1:
          capacity: 1800
          cylinders: 4
          ecus:
            - manufacturer: Bosch
              name: EDC17CP54
          engine_code: XYZ
          engine_type: Petrol
          fuel: Petrol
          id: 1234
          name: 1.8i 125hp 170Nm
          performance:
            dyno_values:
              hp:
                - 0
                - 169
                - 299
                - 386
                - 463
                - 482
                - 386
                - 0
                - 0
              nm:
                - 0
                - 589
                - 602
                - 589
                - 577
                - 509
                - 372
                - 0
                - 0
              rpm:
                - 1000
                - 2000
                - 3000
                - 4000
                - 5000
                - 6000
                - 7000
                - 8000
                - 9000
            power: 150
            torque: 270
          slug: 1-8i-125hp-170nm
          tcus:
            - manufacturer: ZF
              name: 8HP
          tuning:
            options:
              - description: Removal of EGR
                name: EGR
            read_tools:
              - manufacturer: Alientech
                name: KESS3
            stages:
              - modifications_required: Aftermarket intercooler and exhaust required.
                performance:
                  dyno_values:
                    hp:
                      - 0
                      - 169
                      - 299
                      - 386
                      - 463
                      - 482
                      - 386
                      - 0
                      - 0
                    nm:
                      - 0
                      - 589
                      - 602
                      - 589
                      - 577
                      - 509
                      - 372
                      - 0
                      - 0
                    rpm:
                      - 1000
                      - 2000
                      - 3000
                      - 4000
                      - 5000
                      - 6000
                      - 7000
                      - 8000
                      - 9000
                  power: 482
                  top_speed: 225
                  torque: 620
                  zero_to_hundred: 5.8
                stage_number: 1
            work_methods:
              - name: OBD
          year: 2018
    engine_ecu:
      additionalProperties: false
      description: ECU object
      properties:
        manufacturer:
          description: Manufacturer.
          example: Bosch
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
          x-stoplight:
            id: ego5g0wgjbx5z
        name:
          description: Name.
          example: EDC17CP54
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
      title: ECU
      type: object
      x-examples:
        Bosch EDC17:
          manufacturer: Bosch
          name: EDC17CP54
    engine_performance:
      additionalProperties: false
      description: Engine performance object
      properties:
        dyno_values:
          $ref: '#/components/schemas/engine_performance_dyno'
        power:
          description: Horse power (metric).
          example: 150
          type: integer
        torque:
          description: Torque in Nm.
          example: 270
          type: integer
          x-stoplight:
            id: 6gjau8yp073kc
      title: Performance
      type: object
      x-examples:
        Example 1:
          dyno_values:
            hp:
              - 0
              - 49
              - 87
              - 112
              - 135
              - 140
              - 112
              - 0
              - 0
            nm:
              - 0
              - 238
              - 243
              - 238
              - 233
              - 205
              - 150
              - 0
              - 0
            rpm:
              - 1000
              - 2000
              - 3000
              - 4000
              - 5000
              - 6000
              - 7000
              - 8000
              - 9000
          power: 150
          torque: 270
    engine_tcu:
      additionalProperties: false
      description: TCU object
      properties:
        manufacturer:
          description: Manufacturer.
          example: ZF
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
        name:
          description: Name.
          example: 8HP
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
      title: TCU
      type: object
      x-examples:
        ZF 8HP:
          manufacturer: ZF
          name: 8HP
    engine_tuning:
      additionalProperties: false
      description: Engine tuning object
      properties:
        options:
          description: Available remap options for this engine.
          items:
            $ref: '#/components/schemas/tuning_option'
          maxItems: 1000
          type: array
        read_tools:
          description: List with the tuning tools which can be used to read this engine.
          items:
            $ref: '#/components/schemas/read_tool'
          maxItems: 1000
          type: array
          x-stoplight:
            id: lb5q8g6onza8o
        stages:
          description: List with Remap/Tuning Stages.
          items:
            $ref: '#/components/schemas/engine_stage'
          maxItems: 1000
          type: array
          x-stoplight:
            id: i6vvnixufrwnf
        work_methods:
          description: List with the methods to use when reading this engine.
          items:
            $ref: '#/components/schemas/work_method'
          maxItems: 1000
          type: array
          x-stoplight:
            id: ppvk2wt69dhp4
      title: Tuning
      type: object
      x-examples:
        Example 1:
          options:
            - description: Removal of EGR
              name: EGR
          read_tools:
            - manufacturer: Alientech
              name: KESS3
          stages:
            - modifications_required: Aftermarket intercooler and exhaust required.
              performance:
                dyno_values:
                  hp:
                    - 0
                    - 169
                    - 299
                    - 386
                    - 463
                    - 482
                    - 386
                    - 0
                    - 0
                  nm:
                    - 0
                    - 589
                    - 602
                    - 589
                    - 577
                    - 509
                    - 372
                    - 0
                    - 0
                  rpm:
                    - 1000
                    - 2000
                    - 3000
                    - 4000
                    - 5000
                    - 6000
                    - 7000
                    - 8000
                    - 9000
                power: 482
                top_speed: 225
                torque: 620
                zero_to_hundred: 5.8
              stage_number: 1
          work_methods:
            - name: OBD
    error:
      additionalProperties: false
      description: Error object
      properties:
        code:
          description: >-
            Error code. Typically it will be the same as the returtned HTTP
            response code.
          example: 404
          type: integer
        message:
          description: Error message.
          example: Not found
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
          x-stoplight:
            id: iaxsxsm0kqi9n
      title: Error
      type: object
      x-examples:
        Bad Request:
          code: 400
          message: Bad request / Malformed parameter
        Internal Server Error:
          code: 500
          message: Internal Server Error
        Invalid API key:
          code: 403
          message: Invalid API key
        Method Not Found:
          code: 404
          message: Method not found
        No API Access:
          code: 401
          message: API access is not enabled for this subscription
        No active subscription:
          code: 401
          message: This method requires an active subscription.
        No permissions:
          code: 401
          message: This API key does not have enough permissions
    engine_performance_dyno:
      additionalProperties: false
      description: Dyno object
      nullable: true
      properties:
        hp:
          description: HP values for plotting a dyno chart.
          items:
            type: integer
            x-stoplight:
              id: p93ihoykl0ya1
          maxItems: 1000
          type: array
          x-stoplight:
            id: vd6hysqxr0wx8
        nm:
          description: Nm values for plotting a dyno chart.
          items:
            type: integer
            x-stoplight:
              id: 6fkv9wbg7h04g
          maxItems: 1000
          type: array
          x-stoplight:
            id: 4jpbgqaf9x9yh
        rpm:
          description: RPM values for plotting a dyno chart.
          items:
            type: integer
            x-stoplight:
              id: wlvp55ibfn59e
          maxItems: 1000
          type: array
      title: Dyno metadata
      type: object
      x-examples:
        Example 1:
          hp:
            - 0
            - 49
            - 87
            - 112
            - 135
            - 140
            - 112
            - 0
            - 0
          nm:
            - 0
            - 238
            - 243
            - 238
            - 233
            - 205
            - 150
            - 0
            - 0
          rpm:
            - 1000
            - 2000
            - 3000
            - 4000
            - 5000
            - 6000
            - 7000
            - 8000
            - 9000
    tuning_option:
      additionalProperties: false
      description: Tuning option object
      properties:
        description:
          description: Description.
          example: Removal of EGR
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
          x-stoplight:
            id: kdmq9vrd1s855
        name:
          description: Name.
          example: EGR
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
      title: Option
      type: object
      x-examples:
        EGR:
          description: Removal of EGR
          name: EGR
    read_tool:
      additionalProperties: false
      description: Read Tool object
      properties:
        manufacturer:
          description: Manufacturer.
          example: Alientech
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
          x-stoplight:
            id: ene9p2f5occpc
        name:
          description: Name.
          example: KESS3
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
      title: Read Tool
      type: object
      x-examples:
        Alientech KESS3:
          manufacturer: Alientech
          name: KESS3
    engine_stage:
      additionalProperties: false
      description: Stage object
      properties:
        modifications_required:
          description: Modifications needed.
          example: Aftermarket intercooler and exhaust required.
          maxLength: 2048
          nullable: true
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
          x-stoplight:
            id: nxjtpmqu6xw08
        performance:
          $ref: '#/components/schemas/engine_stage_performance'
        stage_number:
          description: Remap stage number.
          example: 1
          type: integer
      title: Tuning/Remap stage
      type: object
      x-examples:
        Example 1:
          modifications_required: Aftermarket intercooler and exhaust required.
          performance:
            dyno_values:
              hp:
                - 0
                - 169
                - 299
                - 386
                - 463
                - 482
                - 386
                - 0
                - 0
              nm:
                - 0
                - 589
                - 602
                - 589
                - 577
                - 509
                - 372
                - 0
                - 0
              rpm:
                - 1000
                - 2000
                - 3000
                - 4000
                - 5000
                - 6000
                - 7000
                - 8000
                - 9000
            power: 482
            top_speed: 225
            torque: 620
            zero_to_hundred: 5.8
          stage_number: 1
    work_method:
      additionalProperties: false
      description: Work method object
      properties:
        name:
          description: Name.
          example: OBD
          maxLength: 2048
          pattern: ^[^\u0000-\u001F\u007F]*$
          type: string
      title: Work method
      type: object
      x-examples:
        OBD:
          name: OBD
    engine_stage_performance:
      additionalProperties: false
      description: Tuning/Remap stage performance object
      properties:
        dyno_values:
          $ref: '#/components/schemas/engine_performance_dyno'
        power:
          description: Horse power (afrer remap) (metric).
          example: 482
          type: integer
        top_speed:
          description: Maximum speed (kmh).
          example: 225
          nullable: true
          type: integer
          x-stoplight:
            id: fwt3ezpudlxfr
        torque:
          description: Torque (after remap) in Nm.
          example: 620
          type: integer
          x-stoplight:
            id: osrnglh6pdkbv
        zero_to_hundred:
          description: Time to get from 0kmh to 100kmh (in seconds).
          example: 5.8
          nullable: true
          type: number
          x-stoplight:
            id: 7le3ptsbr22t6
      title: Tuning/Remap stage performance
      type: object
      x-examples:
        Example 1:
          dyno_values:
            hp:
              - 0
              - 169
              - 299
              - 386
              - 463
              - 482
              - 386
              - 0
              - 0
            nm:
              - 0
              - 589
              - 602
              - 589
              - 577
              - 509
              - 372
              - 0
              - 0
            rpm:
              - 1000
              - 2000
              - 3000
              - 4000
              - 5000
              - 6000
              - 7000
              - 8000
              - 9000
          power: 482
          top_speed: 225
          torque: 620
          zero_to_hundred: 5.8
  responses:
    error_400:
      description: Bad/Malformed Request
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Bad Request:
              value:
                code: 400
                message: Bad request / Malformed parameter
            Other:
              value:
                code: 400
                message: Other malformed request or bad parameter
    error_401:
      description: Request is unauthorized
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            No API access:
              value:
                code: 401
                message: API access is not enabled for this subscription.
            No enough permissions:
              value:
                code: 401
                message: This API key does not have enough permissions
            No active subscription:
              value:
                code: 401
                message: This method requires an active subscription.
            Other:
              value:
                code: 401
                message: Request unauthorized
    error_403:
      description: Request forbidden
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Invalid API key:
              value:
                code: 403
                message: Invalid API key
            Other:
              value:
                code: 403
                message: Request is forbidden
    error_404:
      description: Not Found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Not found:
              value:
                code: 404
                message: Not found
    error_406:
      description: Not Acceptable
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Not Acceptable:
              value:
                code: 406
                message: Requested response format is not acceptable
    error_429:
      description: Too Many Requests
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Rate limit exceeded:
              value:
                code: 429
                message: Too many requests
    error_500:
      description: Server Error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Server Error:
              value:
                code: 500
                message: Internal Server Error
    error_default:
      description: Unexpected error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/error'
          examples:
            Unexpected:
              value:
                code: 500
                message: Unexpected error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: |-
        All API methods require Bearer authentication.
        Use your existing API key as the bearer token.

        Authorization header format: `Authorization: Bearer YOUR_API_KEY`.

````